ListCollectionInitializor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.lazy.initializor
Class ListCollectionInitializor

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor<List>
          org.hibernate.envers.entities.mapper.relation.lazy.initializor.ListCollectionInitializor

All Implemented Interfaces:
  Initializor<List>

    public class ListCollectionInitializor

extends AbstractCollectionInitializor<List>

Initializes a map.

Field Summary

Fields inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor
`entityInstantiator, revision`

Constructor Summary
`ListCollectionInitializor(AuditConfiguration verCfg, AuditReaderImplementor versionsReader, RelationQueryGenerator queryGenerator, Object primaryKey, Number revision, MiddleComponentData elementComponentData, MiddleComponentData indexComponentData)`

Method Summary
`protected void` | `addToCollection(List collection, Object collectionRow)`
`protected List` | `initializeCollection(int size)`

Methods inherited from class org.hibernate.envers.entities.mapper.relation.lazy.initializor.AbstractCollectionInitializor
`initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListCollectionInitializor

    public ListCollectionInitializor(AuditConfiguration verCfg,
                                     AuditReaderImplementor versionsReader,
                                     RelationQueryGenerator queryGenerator,
                                     Object primaryKey,
                                     Number revision,
                                     MiddleComponentData elementComponentData,
                                     MiddleComponentData indexComponentData)

Method Detail

### initializeCollection

    protected List initializeCollection(int size)

  Specified by:
    `initializeCollection` in class `AbstractCollectionInitializor<List>`

### addToCollection

    protected void addToCollection(List collection,
                                   Object collectionRow)

  Specified by:
    `addToCollection` in class `AbstractCollectionInitializor<List>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.